Help system

Welcome to the Explorer GUI Help

Introduction to the Explorer GUI Browser
List Menu Operations
File Menu Operations
Edit Menu Operations
View Menu Operations
Tools Menu Operations
Help Menu Operations


Explorer GUI Browser

Explorer GUI Browser Introduction

The Explorer GUI provides a framework that handles basic functionality like Clipboard (Cut/Copy/Paste), Drag-and-drop, Refresh and Sorting. The framework is a shell that is used by a number of products from Computer Associates. It will not run on its own, but is always invoked by one or more of the above-mentioned plug-ins.

The Explorer GUI lets you perform operations such as, watching/editing properties of a selected node, setting the refresh-timer, defining a filter, and changing the font used to present the tree and list views or the font used in its dialogs.

In all Explorer GUI dialogs, for all menu (file, edit, view, tools and help) items controlled by Explorer GUI and for many list menu items, context-sensitive help is available.

The main tree view is in the left pane. It presents different types of nodes (often referred to just as nodes in this help), depending on the plug-in that is currently in focus. Note that the left pane can also contain bookmark and history views.

The view in the right pane depends on the selected node in the left pane and the selected view mode. Child nodes of the currently selected node can be viewed in this pane.

Brief comments on nodes:

Root | The first node in a tree. Usually displayed only in the left pane. There can be more than one tree present in the left pane.
Parent | Nodes that have child nodes. They can appear in the left and right pane.
Child | Nodes that have a parent node. They can appear in the left and right pane.
Leaf | Nodes that lack child nodes. They are usually displayed only in the right pane.

The plug-ins in some cases use the concepts folder and object. A node can represent a folder or an object. The plug-in help describes the exact terminology used for a plug-in. A plug-in could use more than one tree and, therefore, have more than one root node.

Folder | By definition, folders are always root, parent or child nodes but never leaf nodes.
Object | Objects may be root, parent, child, or leaf nodes. Rules do not apply strictly here. There are plug-ins, where a node is an object, not a folder, but contains child nodes.

Further information regarding the columns in the right pane can be accessed here.

Copyright 2003 Computer Associates International, Inc.
All trademarks, trade names, service marks, and logos referenced herein belong to their respective companies.

Related Topic:

Explorer GUI Toolbar


Explorer GUI Toolbar

The Explorer GUI toolbar buttons provide quick access to various functions of the Explorer GUI.

The Explorer GUI toolbar buttons can be divided into the following groups:
Browser buttons, Back / Forward buttons, Presentation buttons, Property buttons, Edit buttons, Display buttons, and Help button.

Related Topics:
Toolbars, Standard Buttons | Toolbars, Address Bar
View Selector | Explorer Bar Button
Explorer Bar, Tree | Explorer Bar, History
Explorer Bar, Bookmarks | Status Bar
Output Bar | Tutorial Bar Button


Explorer GUI Toolbar: Browser Buttons

These buttons form the first group of icons on the toolbar. They control aspects of the browser function of the Explorer GUI.

Opens a new Explorer GUI window using the current application plug-in.

Opens a new Explorer GUI window. Its root node will be the node from which the selection of Explore From took place.

Related Topics:

Back/Forward Buttons | Presentation Buttons
Property Buttons | Edit Buttons
Display Buttons | Help Button


Explorer GUI Toolbar: Back and Forward Buttons

These buttons form the second group of icons on the toolbar. They enable you to move back and forth among choices that were made earlier.

Returns to the previously selected node view.

Takes you to the next node view.

On either button, you can click the downward pointing arrow to the right of the icon to be presented with a list of a maximum of eight available node choices. The Back list comprises the last viewed nodes in the tree. The Forward list is empty until you have selected Back. The list grows for each selection of the Back button.

Related Topics:

Browser Buttons | Presentation Buttons
Property Buttons | Edit Buttons
Display Buttons | Help Button


Explorer GUI Toolbar: Presentation Buttons

These buttons form the third group of icons on the toolbar. They control aspects of the refresh function and movement upwards in the tree hierarchy.

Moves your selection one level up in the hierarchy. You can also use the backspace key on your keyboard.

Refreshes the currently selected node and its sub-tree.

Adds a bookmark for the selected node in the Explorer GUI application plug-in.

Related Topics:

Browser Buttons | Back/Forward Buttons
Property Buttons | Edit Buttons
Display Buttons | Help Button


Explorer GUI Toolbar: Property Buttons

These buttons form the fourth group of icons on the toolbar. They control the creation of a new node, enable a view of the properties of the currently selected node, or delete the node.

Creates a new node. This button, as well as the New command in the context menu of the node, is inactive if the active node does not support this command.

Properties of the currently active node. This button, as well as the Properties command in the context menu of the node, is inactive if the active node does not support this command.

Deletes an existing node. This button, as well as the Delete command in the context menu of the node, is inactive if the active node does not support this command.

Related Topics:

Browser Buttons | Back/Forward Buttons
Presentation Buttons | Edit Buttons
Display Buttons | Help Button


Explorer GUI Toolbar: Edit Buttons

These buttons form the fifth group of icons on the toolbar. They control the interaction with the clipboard.

Removes the currently selected node. This button, as well as the Cut command in the context menu of the node, is inactive if the active node does not support this command.

Copies the currently selected node. This button, as well as the Copy command in the context menu of the node, is inactive if the active node does not support this command.

Inserts a copy of the clipboard contents on the insertion node. This button, as well as the types of Paste command in the context menu of the node, is inactive if the active node does not support this command.

Related Topics:

Browser Buttons | Back/Forward Buttons
Presentation Buttons | Property Buttons
Display Buttons | Help Button


Explorer GUI Toolbar: Display Buttons

These buttons form the sixth group of icons on the toolbar. They control the presentation of listed nodes.

Toggles the display of the explorer bar (the left-hand view) off and on.

The downward pointing arrow to the right of the View icon displays at most six functions to select among: as Web page, Large Icons, Small Icons, List, Details and Graphical.
The functions that are eligible for selection depend on what view modes are supported by the active node of the plug-in.

Note: When the Graphical option has been selected, the as Web page option is not available for selection.

Related Topics:

Browser Buttons | Back/Forward Buttons
Presentation Buttons | Property Buttons
Edit Buttons | Help Button


Explorer GUI Toolbar: Help Button

This button forms the seventh group of icons on the toolbar. It opens the online help for the currently selected node in the active Explorer GUI application plug-in.

Shortcuts
Toolbar: |
Keys: | F1 (for most plug-ins)
Related Topics:

Browser Buttons | Back/Forward Buttons
Presentation Buttons | Property Buttons
Edit Buttons | Display Buttons
Help Menu Items |


List Menu Operations

Topics that are not listed under any of the operations mentioned for the File menu, Edit menu, View menu, Tools menu, Help menu, or Toolbar can be found here. They are mainly context menu commands that can be accessed on the list view header in the right pane, to the right of the Information column.

Tree item context menu
Visible columns in the right pane
Rearranging columns in the right pane
Show All command
Hide All command
Autosize columns command
Filter command
More command - use for multiple columns

Notes:
The context menus of the nodes in the left tree view and in the right pane list view are covered by the Explorer GUI plug-ins and do not form part of the Explorer GUI help system. Apart from the first item in the list previously shown, all the remaining items only apply if Details view mode is selected.


Context Menu

Tree Item Context Menu

If you right-click a node, a context menu may display, depending on the active node of the current plug-in. The content of the menu depends on the selected node.


Visible Columns in the Right Pane

The visibility of columns in the right pane can be changed.

Select a suitable node (depends on the currently active plug-in) in the left-hand tree. A number or columns appear in the right pane if detailed view is selected.

Right-click any column to the right of the Information column. A context menu appears.

The context menu contains the names of, at the most, ten column items at the top, followed by commands that are included for all nodes, such as Show All, Hide All, Autosize Columns, Filter and More.

Changing Visibility of a Column in the Right Pane

The following rules apply for changing the visibility of a column:

1. | If a column is visible in the right pane, its name will have a checkmark in the context menu.
2. | To make a column visible, click its name. A checkmark is added in front of the name and the column appears in the right pane.
3. | The checkmark toggles visibility. Click a name with a checkmark to make the column disappear from the right pane.

If you select a node that has less than ten columns associated with it, you will, at the most, see the names of that number of columns in the context menu.

The More command in the context menu can be used to simultaneously change the visibility of a block of columns, or rearrange them.

Use the More command to display a full list of columns. If there are more than ten columns, only the first ten will be visible in the context menu.

Related Topics:
Columns in the Right Pane | Autosize Columns
Show All | Hide All
Filter Command | More Command


Rearranging Columns in the Right Pane

If Details view is selected, you can freely rearrange the columns in the right pane.

Click on the column you wish to move and drag it horizontally to a new location, using the left mouse button. When the mouse button is released, the column is inserted in its new position.

If you want to rearrange multiple columns, use the More... command.

If there are multiple users on this computer, each user will have the rearranged column settings, specific for each selected node type, saved in a personal user registry.

Related Topics:
More... | Define Filter
Define Filter Dialog | Regular Expressions
Hide All | Show All


Show All Command

Displays all columns in the right pane, if the node selected in the left-hand tree for the currently active plug-in has columns associated with it, and Details view is selected.

To display all columns in the right pane, follow these steps:

1. | Right-click any column to the right of the Information column in the right pane. A context menu appears.
2. | From the context menu, choose Show All. All of the columns in the right pane are displayed.

Related Topics:
Rearranging Columns in Right Pane | More Command
Hide All Command | Setting Filters
Copy as Text | Regular Expressions


Hide All

Hides the presentation of all columns in the right pane, if the node selected in the left-hand tree for the currently active plug-in has columns associated with it, and Details view is selected.

To hide all columns in the right pane, follow these steps:

1. | Right-click on any column to the right of the Information column in the right pane. A context menu appears.
2. | From the context menu, choose Hide All. All of the columns in the right pane are hidden.

Related Topics:
Rearranging Columns in Right Pane | More Command
Show All Command | Setting Filters
Copy as Text | Regular Expressions


Autosize Columns Command

Sizes the columns displayed in the right pane to occupy the least amount of horizontal space, if the node selected in the left-hand tree for the currently active plug-in has columns associated with it and Details view is selected.

To size columns in the right pane, follow these steps:

1. | Right-click on any column to the right of the Information column in the right pane. A context menu appears.
2. | From the context menu, choose Autosize Columns. A checkmark appears before Autosize Columns in the context menu and the columns will be auto sized.

By selecting Autosize Columns again, the checkmark disappears and autosizing no longer applies.

To see these effects, select another node in the left-hand tree and then reselect the original node.

Related Topics:
Columns in the Right Pane | Show All
Hide All | Filter Command
More Command | Visible Columns in Right Pane


Filter

Filter (View Menu)

Invokes the Define Filter dialog where presentation filters can be set.

The filters consist of criteria that limit the display of nodes in the right pane. Only nodes matching the criteria will be displayed. By default, no criteria are defined and all nodes are displayed.

Note: The Define Filter dialog can also be invoked by right-clicking any column to the right of the Information column in the right pane and selecting Filter in the context menu.

Shortcuts
Keys:
Alt+V,I
Related Topic:

Define Filter Dialog


More Command - Use for Multiple Columns

Use the More command to work with multiple columns when determining what columns to display in the right pane and when rearranging columns.

1. | Select a suitable node (depends on the currently active plug-in) in the left-hand tree. A number or columns appear in the right pane.
2. | Right-click any column to the right of the Information column. A context menu appears.
3. | From the context menu, choose More.... The Choose Columns dialog appears.

Choose Columns Dialog

In this dialog you can show or hide multiple columns at will.

To hide a column, select it and click the Hide button
To show a column, select it and click the Show button.
You can also use Hide or Show after having selected multiple columns.

You can also rearrange the columns at will.
To rearrange the columns select one or more columns and click the Move Up or Move Down button until you are satisfied with the arrangement.

If you have done a multiple selection and use Move Up, eventually one item will be the top item. Repeat the Move Up operation to get the remaining items moving up one step at a time.
This way you can easily rearrange blocks of columns.

If there are multiple users on this computer, each user will have the rearranged column settings, specific for each selected node type, saved in a personal user registry.

Related Topics:
Columns in the Right Pane | Define Filter
Define Filter Dialog | Regular Expressions
Hide All | Show All


File Menu Operations

Under the File Menu, the following topics (commands) can be selected:


New

New (File Menu)

Creates a new node in the Explorer GUI. The command is only active if the currently selected node supports the command.

Select such a node.

Shortcuts
Toolbar: |
Keys: | Ctrl+N; Alt+F,N
Mouse: | See the help for the active plug-in.


Rename

Rename (File Menu)

Renames an existing node in the Explorer GUI. The nodes supporting this command depend on the plug-in.

Select such a node.

Shortcuts
Keys: | Alt+F,R
Mouse: | See the help for the active plug-in.

Note: The renaming operation can be executed in other ways in some plug-ins.
1. Select a node, right-click and choose Properties (if possible). A dialog appears.
2. In the dialog that appears, rename the node, if the Name field is not dimmed.


Delete

Delete (File Menu)

Deletes an existing node in the Explorer GUI. The delete command is only active if specific nodes are in focus, when choosing the command.

Select such a node.

Shortcuts
Toolbar: |
Keys: | Del; Alt+F,D
Mouse: | See the help for the active plug-in.


Property

Properties (File Menu)

Invokes a property dialog for nodes that support the Properties command. The command is only active, if specific nodes are active when selecting the command.

Select such a node.

Shortcuts
Toolbar: |
Keys: | Alt+F,O; Alt+Enter
Mouse: | See the help for the active plug-in.

Note: Nodes with the Properties button active will have the choice Properties active in their context menu.


Add Bookmark (File Menu)

Adds a bookmark for the selected node in the active Explorer GUI plug-in. Bookmarks can be added for both tree and list view nodes.

In order to see your bookmarks, choose Explorer Bar, Bookmarks on the View menu.
The Explorer bar selector window will then change to Bookmarks and your bookmarks will be displayed in the left pane.

Bookmark settings are stored in the registry based on the active root node for each individual user that logs on to the computer.

When multiple instances of the Explorer GUI are running and the bookmarks are updated from one instance, all other instances are notified to reflect the changes.

Shortcut
Toolbar: |
Keys: | Ctrl+Shift+B; Alt+F, A


New Browser (File Menu)

Opens a new Explorer GUI window using the active plug-in.

The root node of the new Explorer GUI instance will be the same as that of the instance from which it was created.

Shortcuts
Toolbar: |
Keys: | Alt+F,B


Explore From

Opens a new Explorer GUI window with the currently active plug-in.

Its root node will be the node, from which the selection of Explore From took place.

A plug-in can supply additional information that will be passed to the new instance and can be retrieved by the new plug-in.

Note: Explore from is not enabled for all nodes in the Explorer GUI plug-in.
If the option is not enabled, Explore from is dimmed in the File menu and on the toolbar.

Select a node supporting the command.

Shortcuts
Toolbar: |
Keys: | Alt+F,E
Mouse: | See the help for the active plug-in.


Exit Explorer GUI

Exit (File Menu)

Ends your Explorer GUI session. The Close command on the Control menu can also be used to end the session.

Shortcuts
Keys: | Alt+F4 or Alt+F, X
Mouse: | Double-click the Explorer GUI Control menu button.


Edit Menu Operations

Under the Edit Menu, the following topics (commands) can be selected:


Cut

Cut (Edit Menu)

Removes the currently selected nodes and places them on the clipboard.

Note: By cutting nodes, you replace any previous contents on the clipboard.

This command is unavailable if no node supporting the command is currently selected.
Select a node supporting the command.

Shortcuts
Toolbar: |
Keys: | Ctrl+X; Alt+E,T; Shift+Delete
Mouse: | See the help for the active plug-in.
Related Topics:

Copy Command
Paste Command


Copy

Copy (Edit Menu)

Copies the currently selected nodes and places them on the clipboard.

Note: By copying nodes, you replace any previous contents on the clipboard.

This command is unavailable if no node supporting the command is currently selected.

Select a node supporting the command, or select multiple nodes by making a rectangular movement over an area within the first column in the right pane, marking at least one node.

Shortcuts
Toolbar: |
Keys: | Ctrl+C; Alt+E,C; Ctrl+Insert
Mouse: | See the help for the active plug-in.
Related Topics:

Cut Command
Paste Command


Copying as text

Copy as Text (Edit Menu)

Copies the currently selected items, for example information in the right pane, and places them on the clipboard as text.

Note: By copying items, you replace any previous contents on the clipboard.

The command is unavailable if no item is currently selected.

To copy as text, follow these steps:

1. | Select items by making a rectangular movement over an area in the right pane.
2. | Select Copy as Text in the Edit menu.

The currently displayed columns as well as the data of currently selected items are copied to the clipboard as tab separated text (with clipboard format CF_TEXT).

The tab-separated information can be inserted into for example a Word, or Excel, document or any other application that supports clipboard text.

Export GUI Lists for Printing

The copy process mentioned above provides a means to print selected details in the right pane to a file or a printer.

Note 1: The Copy as Text option is available if any of the view options details, list, large icons, or small icons for the right pane is selected. Selection is described as if details view option had been chosen.

Note 2: Only the columns selected for visibility, using the selection mechanisms in details view, are eligible for the copy process.

Note 3: If you select some columns and rows in the right pane, all columns for the selected rows will be copied.

Shortcuts
Keys:
Ctrl+W; Alt+E,E
Related Topics:
Copy Command | Visible Columns in Right Pane
Cut Command | Rearranging Columns in Right Pane
Paste Command |


Paste

Paste (Edit Menu)

Inserts a copy of the clipboard contents at the selected insertion point, if the node supports the paste operation.

This command is unavailable if the clipboard currently is empty.

Note: Copies of nodes of one class can be pasted onto nodes of another class. The combinations that are allowed are determined by the active plug-in.

To execute a paste operation, follow these steps:
Copy or cut the desired data. Select a node supporting the paste command.

Shortcuts
Toolbar: |
Keys: | Ctrl+V; Alt+E,P; Shift+Insert
Mouse: | See the help for the active plug-in.

Note: The toolbar Paste button and the Edit menu Paste option each offers one paste operation, whereas a context menu can offer one, two or more Paste alternatives. If more than one paste operation is provided in the context menu for a node of a plug-in, one is by default selected and executed, if you select the Paste button or Edit menu Paste option.
For further details, see the online help for the plug-in.

Related Topics:

Copy Command
Copy as Text Command
Cut Command


Select All

Select All (Edit Menu)

Selects all nodes in the right pane.

To select all nodes in the right pane, follow these steps:

1. | Select a tree node.
2. | Choose Select all in the Edit menu, or right-click in an empty spot in the right pane and choose Select all from the context menu.

Shortcuts
Keys:
Ctrl+A; Alt+E, A
Related Topics:

Invert Selection Command | Copy Command
Copy as Text Command |


Invert Selection

Invert Selection (Edit Menu)

Inverts the current selection of nodes in the right pane list view.

The command inverts selections made in the first step of executing a Copy, Copy as Text or Select All command. That is, selected nodes become unselected and unselected ones become selected.

The command can serve as alternative to Select All, if it is executed with no node selected in the right pane.

Shortcuts
Keys:
Alt+E,I
Related Topics:
Select All Command | Copy Command
Copy as Text Command |


View Menu Operations

Under the View Menu, the following topics (commands) can be selected:

Toolbars, Standard Buttons
Toolbars, Address Bar
Toolbars, View Selector
Explorer Bar, Tree
Explorer Bar, History
Explorer Bar, Bookmarks
Status Bar
Output Bar
Tutorial Bar
Current View,
as Web Page
Large Icons
Small Icons
List
Details
Graphical
Refresh
Refresh Timer
Refresh on Select
Filter
Fonts, Explorer
Fonts, Dialogs


Toolbars, standard buttons

Toolbars, Standard Buttons (View Menu)

Displays or hides the standard toolbar buttons. If the menu item has a checkmark, the toolbar with standard buttons is currently visible. It can be toggled on and off.

The display of the standard buttons is enabled by default.

Shortcuts
Keys:
Alt+V, T, S
Related Topics:

Explorer GUI Toolbar
Toolbars, Address Bar
Toolbars, View Selector


Toolbars, address bar

Toolbars, Address Bar (View Menu)

Displays or hides the address bar. If the menu item has a checkmark, the address bar is currently visible. It can be toggled on and off.

The address bar is not displayed by default.

Generally, the currently selected root node, or concatenated node sequence, is displayed in the address bar. The precise contents depend on the active Explorer GUI plug-in and the current node selection.

Shortcuts
Keys:
Alt+V,T,B
Related Topics:

Toolbars, Standard Buttons
Explorer GUI Toolbar
Toolbars, View Selector


Toolbars, view selector

Toolbars, View Selector (View Menu)

Displays or hides the view mode selector combo box, which is situated above the right pane, below the toolbar buttons. If the menu item has a checkmark, the view selector toolbar is currently visible. It can be toggled on and off.

The combo box displays view modes: Details, List, Large Icons, Small Icons and (sometimes) Graphical. The actual presented list depends on the view modes that are supported by the selected node in the left tree.

.

Selecting view mode in the combo box controls the presentation in the right pane.

Selecting in the view selector combo box has the same effect as selecting the view mode from the View menu or from the toolbar view drop-down button.

Shortcuts
Keys:
Alt+V,T,V
Related Topics:

Toolbars, Standard Buttons
Explorer GUI Toolbar
Toolbars, Address Bar
Explorer Bar, Comments


Explorer bar, tree

Explorer Bar, Tree (View Menu)

Displays or hides the left tree view. If the menu item has a checkmark, the left tree view is currently visible. It can be toggled on and off.

The display of the tree view is enabled by default.

Shortcuts
Keys:
Ctrl+T; Alt+V,E,T
Related Topics:
Explorer Bar, History | Explorer Bar, Common Comments
Explorer Bar, Bookmarks | Toggle Explorer Bar


Explorer bar, history

Explorer Bar, History (View Menu)

Displays or hides the history view in the left-hand view. If the menu item has a checkmark, the history view is currently visible. It can be toggled on and off.

The display of the history view is disabled by default.

The history view contains a list of all nodes visited during the current session.

When the history view is in focus, you can navigate back and forward by using the Back and Forward buttons on the toolbar or by using the key combinations Alt+Cursor left (backward) and Alt+Cursor right (forward). You can also navigate by using cursor keys. You can select an item by a left-click.

The history stores the active view mode (such as whether you were using Large or small icons, List, Details or Graphical).

History entries are not saved between Explorer GUI sessions.

Shortcuts
Keys:
Ctrl+H; Alt+V,E,H
Related Topics:
Explorer Bar, Tree | Explorer Bar, Common Comments
Explorer Bar, Bookmarks | Toggle Explorer Bar


Explorer Bar, Bookmarks (View Menu)

Displays or hides the bookmark view in the left-hand view. If the menu item has a checkmark, the history view is currently visible. It can be toggled on and off.

The display of the bookmark view is disabled by default.

When the bookmark view is in focus, navigate up and down by using cursor keys and display a node referenced by a bookmark by pressing the Enter key.

You can display a node by selecting the proper bookmark, right clicking and selecting Open in the bookmark's context menu.

Bookmarks can be renamed and deleted by using the bookmark's context menu.

A bookmark stores the active view mode (such as whether you were using Large or Small Icons, List, Details or Graphical).

Bookmarks are saved between Explorer GUI sessions.

Shortcuts
Keys: | Ctrl+B; Alt+V,E,B
Mouse: | Select a bookmark referencing a node by a left mouse click to display the node. A double click changes to tree view.
Related Topics:
Explorer Bar, Tree | Explorer bar, Common Comments
Explorer Bar, History | Toggle Explorer Bar
Add Bookmark |


Status bar

Status Bar (View Menu)

Displays or hides the status bar. If the menu item has a checkmark, the status bar is currently visible. It can be toggled on and off.

The display of the status bar is enabled by default.

The status bar is located at the bottom of the Explorer GUI window.

To the left, a description of the number of child nodes in the parent node and the action executed by the selected menu item or clicked toolbar button (for example, 3 object(s) selected) is found.

To the right, the keyboard latch state is found.

Shortcuts
Keys:
Alt+V, S
Related Topic:

Status Bar Description


Output bar description

Output Bar (View Menu)

Displays or hides the output bar. If the menu item has a checkmark, the output bar is currently visible. It can be toggled on and off.

If the output bar is visible, it can be disabled by using the close button in its header.

If it is visible, the output bar is located across the right pane of the application window.

This option is valid for selected nodes in various Explorer GUI plug-ins. The output bar view is created by the plug-in. Not all nodes support an output bar.

If the output bar is displayed, you can expand or shrink it by moving its top horizontal bar upwards or downwards using the mouse.

Shortcuts
Keys:
Alt+V,P


Tutorial Bar (View Menu)

Displays or hides the tutorial bar.

If the menu item is enabled, the active node supports the tutorial bar. It can be toggled on and off.

If the menu item is disabled, the active node does not support the tutorial bar. You will not be able to affect the checkmark, if visible or not. However, if the checkmark is visible, the tutorial bar is enabled and will be displayed for nodes supporting it.

If the tutorial bar is visible, it can be disabled by using the close button in its header.

If the tutorial bar is present, it will be found in the right portion of the right pane.

The tutorial bar is enabled by default for nodes supporting it.

The tutorial bar can be present on a per node basis, or it can be common for the entire plug-in. Not all plug-ins or nodes support a tutorial bar.

If the tutorial bar is displayed you can expand or shrink it, respectively, by moving its left vertical bar to the left or to the right using the mouse.

Shortcuts
Keys:
Alt+V,U


as Web Page

as Web Page (View Menu)

Displays the nodes in the right pane in a Web page setting. If the menu item has a checkmark, as Web page mode is active. It can be toggled on and off.

The nodes supporting this command depend on the active plug-in. When this command has been selected, the Graphical option is not available for selection.

Shortcuts
Keys:
Alt+V,V,W
Related Topics:

Graphical
Change View Button


Large icons

Large Icons (View Menu)

Displays the child nodes of their selected parent node as large icons in the right pane.

Shortcuts
Keys:
Alt+V,V,A
Related Topics:

Details | List
Small Icons | Change View Button


Small icons

Small Icons (View Menu)

Displays the child nodes of their selected parent node as small icons in the right pane.

Shortcuts
Keys:
Alt+V,V,M
Related Topics:

Large Icons | Details
List | Change View Button


List

List (View Menu)

Displays the child nodes of the selected parent node in a list in the right pane. One column containing the names of the nodes is displayed.

Shortcuts
Keys:
Alt+V,V,L
Related Topics:

Large Icons | Details
Small Icons | Change View Button


Details

Details (View Menu)

Displays the child nodes of their selected parent node in a list in the right pane. The list consists of multiple columns. The content depends on the active plug-in and the selected node.

Shortcuts
Keys:
Alt+V,V,D
Related Topics:

Large Icons | List
Small Icons | Change View Button


Graphical

Graphical (View Menu)

Displays the nodes in the right pane in graphical mode.
If the menu item has a checkmark, graphical view mode is active.

The nodes supporting this command depend on the active plug-in.
When this command has been selected, if available, the as Web page option is not available for selection.

Shortcuts
Keys:
Alt+V,V,G
Related Topics:

as Web Page
Change View Button


Refresh (in menu)

Refresh (View Menu)

Refreshes the currently selected tree node and list view.

Shortcuts

Toolbar: |
Keys: | Alt+V,R; F5

Related Topics:

Refresh on Select
Refresh Timer Command
Refresh Timer Dialog


Refresh timer

Refresh Timer (View Menu)

Invokes the refresh timer dialog, where you can set the value of the refresh timer.

Once selected, refresh timer settings for various Explorer GUI node classes control their refresh rates.

Note: Child nodes in the left-hand tree belonging to different parent nodes have independent settings. The same applies to subentities. For further details on the node classes in a plug-in, see the online help for the plug-ins.

Shortcuts
Keys:
Alt+V,F
Related Topics:

Refresh
Refresh on Select
Refresh Timer Dialog


Refresh on select

Refresh on Select (View Menu)

Check this option if you want to retrieve the current information for a node, and its child nodes, when selecting it.

If the menu item has a checkmark, the option is currently selected. It can be toggled on and off.
By default, this menu item is checked.

Note: If you do not check this option, locally cached data is used when you select a node.

Shortcuts
Keys:
Alt+V,O
Related Topics:

Refresh
Refresh Timer Command
Refresh Timer Dialog


Fonts - Explorer

Explorer GUI Fonts (View Menu)

There are two options to change the setting of the font used in Explorer GUI, one for the tree and list views and one for the dialogs.

To change the font used by Explorer GUI for the tree and list views, select View, Fonts, Explorer. The Font dialog opens so you can set font, font style, size, and script (among the available language scripts for the specified font).

Note: The font Times New Roman MT 30 provides good support for a variety of languages and language scripts (for example, Western, Japanese, Hangul, Hangul (Johab), Chinese_GB2312, Chinese_Big5, Hebrew, Arabic, Greek, Turkish, Baltic, Central European, Cyrillic, and Thai).

Shortcuts
Keys:
Alt+V,N,E
Related Topic:

Explorer GUI Dialog Fonts


Fonts - Dialog

Explorer GUI Dialog Fonts (View Menu)

There are two options to change the setting of the font used in Explorer GUI, one for the tree and list views and one for the dialogs.

To change the font used in the Explorer GUI dialogs, select View, Fonts, Dialogs. The Font dialog opens so you can set font, font style, size, and script (among the available language scripts for the specified font).

Note: The font Times New Roman MT 30 provides good support for a variety of languages and language scripts (for example, Western, Japanese, Hangul, Hangul (Johab), Chinese_GB2312, Chinese_Big5, Hebrew, Arabic, Greek, Turkish, Baltic, Central European, Cyrillic, and Thai).

Shortcuts
Keys:
Alt+V,N,D
Related Topic:

Explorer GUI Fonts


Tools Menu Operations

Under the Tools Menu, you can choose the following topic (command): Explorer GUI Options


Explorer GUI Options

Explorer GUI Options (Tools Menu)

Two options can be selected in this dialog. Both use check boxes.

Check the Automatically Expand Items on Select option, if you want any node in the left-hand tree view to expand when selected. The Explorer GUI is set to work in expand mode.
If the option is un-checked, no node in the left-hand tree view will expand when selected.
The expand mode is selected by default.

Check the Confirm on Delete option, if you want the Confirm Delete dialog to display, when you select the Delete button. The option is checked by default.

Shortcut
Keys:
Alt+T,O
Related Topics:

Confirm Delete Dialog
Confirm Delete Dialog (Bookmark)
Delete


Help Menu Operations

Under the Help Menu, you can choose the following topics (commands)


Help Topics

Help Topics (Help Menu)

Upon choosing Help, Contents and Index, you are given a choice. What help do you want to open?
A list of choices is presented and always includes Explorer GUI and at least one plug-in.

If you select Explorer GUI, the opening screen of Help for the Explorer GUI is displayed.

From the opening screen, you can select the links to instructions for using the Explorer GUI and various types of reference information.

Click the Contents tab to see the contents of the help file.

Click the Index tab to see a scrollable list of topics or keywords. Choose one and click the Display button to open the help topic.

Click the Search tab, type a word to search for and click the List topics button to get a list of topics containing the word. Choose a topic and click the Display button to open the help topic.

If you click the Favorites tab, the left-hand display area will be empty to start with. Click the Add button to add the currently selected help topic to the list of topics.

Select an item from the list, and
Select the Remove button to remove the item.
Select the Display button to display the topic.
Right-click and select Rename in the context menu to provide a name of your preference to the item. Note that it still references the same topic.

Shortcuts

Keys:
Alt+H,C

Related Topics:

About
Tip of the Day
Help Button


Tip of the Day

Tip of the Day (Help Menu)

Displays the tip of the day of the currently active plug-in. You can indicate whether the tip is to be displayed when the Explorer GUI starts with that plug-in.

Shortcuts

Keys:
Alt+H,P

Related Topic:

Tip of the Day Dialog


About Explorer GUI

About Explorer GUI (Help Menu)

Upon choosing Help, About, you are given a choice. What program do you want information about?
A list of choices is presented and always includes Explorer GUI and at least one plug-in.

If you select Explorer GUI, the About box for the Explorer GUI is displayed.

Shortcuts

Keys:
Alt+H,A,E

Related Topic:

About Explorer GUI Dialog


About Explorer GUI - Dialog

About Explorer GUI (Dialog)

This dialog displays name and version of your Explorer GUI (executable version, dynamic-link library version and resource library version) as well as the names of the currently loaded plug-ins.

In the field Loaded plugins, you see the plug-ins that are registered with the Explorer GUI. There are columns for Name, DLL version and Resource version.

Related Topic:

About, Explorer GUI Command


Confirm Delete Dialog (Bookmark)

This dialog could display when you delete a selected bookmark. Click Yes if you are sure you want to delete the bookmark. Click No to cancel the deletion.

Note that the dialog will not display if you have unselected the Confirm on Delete option.

Related Topics:

Confirm on Delete
Confirm Delete Dialog


Confirm Delete Dialog

This dialog could display, when you delete a selected node or group of nodes. Click Yes if you are sure you want to delete the node. Click No to cancel the deletion.

Note that the dialog will not display if you have unselected the Confirm on Delete option.


Toggle Explorer Bar (button)

Displays or hides the explorer bar (the left-hand tree view). It can be toggled on and off.

The explorer bar is displayed by default. If it is displayed, you can expand or shrink the left tree view by moving the right vertical bar to the right or to the left using the mouse.

Shortcuts
Toolbar:

Related Topics:
Explorer bar, tree | Explorer bar, history
Explorer bar, bookmarks | Explorer bar, common comments


Explorer Bar, Common Comments

The Explorer bar selector window, located in the very left of the Explorer GUI window, below the tool bar buttons and above the left hand tree view, displays the current explorer bar selection: tree, history or bookmarks.

If all Explorer bar options (tree, history, and bookmarks) are disabled, the contents of the right pane will fill the Explorer GUI (the left hand view disappears completely).

In this case, the Explorer bar selector window will not be visible.

Related Topics:
Explorer bar, tree | Explorer bar, history
Explorer bar, bookmarks | Toggle Explorer bar


Define Filter Dialog

Sets presentation filters.

Only items that match the set criteria will be displayed. Each criterion consists of a column name, a condition and an expression. More than one criterion can be set for a given node.

To set a criterion, follow these steps:

1. Click the Columns button to display a list of available names. You can select any of these.
The list of names depends on the active plug-in and the currently selected node.

2. In the Condition field, select one of the values

  • matches
  • doesn't match and
  • regexp match

3. In the Expression field, enter any string of characters. You can also use the wildcard characters (if you did not select regexp match in the Condition field):

  • ? for an individual character, and
  • * for one, or more, characters.

When you have created an expression, select the Add to list button to add the expression to the top field in the dialog.

When the expression's check box is selected (default), the expression will take effect when you close the dialog.
If you click the check box, the check is removed. The expression will not take effect when you close the dialog, but it will be saved in a personal user registry.

You can remove a single expression by choosing it and selecting Remove. To remove all of the listed expressions, select Remove all.

Related Topics:

Filter
Regular Expressions


Help Explorer GUI

Help Explorer GUI (Help Menu)

Select this menu item to display the opening screen of Help for Explorer GUI.

From the opening screen, you can jump to step-by-step instructions for using the Explorer GUI and various types of reference information.

Once you open Help, you can click the Contents button whenever you want to return to the opening screen.

Shortcuts
Keys:
Alt+H,C,E


Note on Information Column

The Information column does not necessarily exist for all nodes in all Explorer GUI plug-ins. It can also have another name, depending on the plug-in.

If present, it contains information on the selected node in the left tree view.

If it is not present, the list view header with all its data columns, specific to the selected node and to the plug-in, resides on top of all of the right pane (apart from the Tutorial bar).

Most of the context menu commands referred to in List menu operations are accessed from this list view header.


Message Popup for Excluded Items

You initiated an operation that was not allowed to perform, for one or several items. In the list you find the names of the items that were excluded from the operation.


Refresh Timer Dialog

Sets the value of the refresh timer.

The default setting is Off, which means that no automatic refresh takes place.
The setting applies to the current node and to nodes of the same type as the selected one.

By sliding the bar to the right, you can set a refresh value between 5 seconds and 5 minutes
The refresh interval increases as you slide the bar right (5, 10, 15, 20, 25 and 30 seconds, 1, 2, 3, 4 and 5 minutes). Choose a value and click Close for your choice to take effect.

The nodes in the trees have independent settings. The same applies to child nodes.

Note: The Refresh on Select option enables you to either retrieve the current information for a node and its child nodes when you select it, or to use locally cached data instead. The refresh timer, on the other hand, controls the refresh process for the selected node, once it has been set.

Related Topics:

Refresh Command
Refresh Timer Command
Refresh on Select


Regular Expressions

A regular expression is a formula for matching strings that follow a pattern, consisting of normal characters or metacharacters mixed with normal characters.
Normal characters include uppercase and lowercase letters and digits.
Metacharacters are symbols and expressions that have special meaning.
Summarizing: regular expressions, a powerful way of specifying complex search and replace operations, use "special character operators," which are symbols that control the search, and "an expression," which is a combination of characters and operators that specifies a pattern.

Example: A regular string of characters will match the same string of characters in the item being searched. Thus you can search for all occurrences of the string "test" by using the regular expression "test." This will also match "testing" and "latest" but not "Test."

Supported Metacharacters

^ | Matches the beginning of a line, for example ^Where is matches "Where is my computer" but not "Where on earth is my computer."
$ | Matches the end of a line, for example procedure$ matches the end of the string "Use that procedure" but not "Use those procedures." Example: [0-2][0-9]$ matches strings ending with numerals in the range 00-29.
. | Matches any single character. Example: a.b matches any three-character string which begins with `a' and ends with `b'
[c1-c2] | Matches any character in the range (specified by using a hyphen). Example 1: [0-9] matches any digit, whereas [a-zA-Z] matches any lower or upper case letter. Example 2: [b-n]ut matches but, cut, hut, jut and nut, but not put.
[^c1-c2] | Matches any character except those in the range, that is, it matches the complement range. Example: [^0-9] matches any character except the digits.
* | Matches zero or more occurrences of the character immediately before the *. Example 1: t* matches any sequence that is a back-to-back series of 0 or more occurrences each matched by t, that is, (empty), t, tt, ttt, and so forth. Example 2: ab*c matches ac, abc, abbc, abbbbc, and so forth. Example 3: .* matches any number of any characters.
+ | Matches one or more occurrences of the character or regular expression immediately before the +. Example 1: a+ matches for example a, aa, aaa. Example 2: (is)+ matches is, crisis, and so forth.
? | Matches 0 or 1 occurrence of the character or regular expression immediately before the ?. Example 1: wi?n matches the strings wn or win. Example 2: w.?n matches for example the strings wn, win, won, w7n.
[c1c2] | Matches any of the characters between the brackets. Example: b[aiu]t matches bat, bit or but, but not bet.
[^c1c2] | Matches the complemented character set of the characters between the brackets. Example: b[^012345678]t matches b9t, bat, bit, bet, but and so forth. See also [^c1-c2] above.
I | Matches either condition (logical OR). Example: Fixed disk drive C:ID: matches Fixed disk drive C: and it matches Fixed disk drive D: but it does not match Fixed disk drive E:.


Status Bar Description

The status bar is displayed across the bottom of the application window below the tree and list views.

The left area of the status bar describes actions of menu items as you use the arrow keys or the mouse to navigate through menus.

The three areas at the right end of the status bar indicate which of the following keys are latched down:

CAP | The Caps Lock key is latched down
NUM | The Num Lock key is latched down
SCRL | The Scroll Lock key is latched down

When you select a node in the left tree, the left part of the status bar displays information on how many child nodes are found in that node's tree list and how many of these child nodes have been selected.

To hide or display the status bar, choose status bar from the View menu.


Explorer GUI Help

This document was designed to be viewed using frames. If you are seeing this message, then you are using a browser that does not support this HTML feature.

You can get a frame-capable browser from either Microsoft or Netscape Communications.

If you want to browse this document anyway, click here.


Tip of the Day - Dialog

Tip of the Day (Dialog)

Contains the tip of the day.

Related Topic:

Tip of the Day


Explorer GUI Options (Tools Menu)

This command opens the Explorer GUI Options dialog, where there are two options that can be selected.

Shortcut
Keys:
Alt+T
Related Topics:

Explorer GUI Options Dialog
Automatically Expand Items on Select
Confirm on Delete


Undefined Areas

Undefined Spots in the Explorer GUI

Undefined Area

This area of the Explorer GUI tree and list view does not support context-sensitive help.

Undefined Area in Tree View

This area of the Explorer GUI tree view does not support context-sensitive help.

Undefined Area in List View

This area of the Explorer GUI list view does not support context-sensitive help.

Undefined Area on Toolbar

This area of the Explorer GUI toolbar does not support context-sensitive help.


One Level up

Click this button to move your selection one level up in the hierarchy.

Shortcuts
Toolbar: |
Keys: | Backspace


Change View Button

Lets you select either of the display options: as Web Page, Large Icons, Small Icons, List, Details, and Graphical, if supported by the active node. The display option affects the right pane.

To select view of the right pane, follow these steps:

1. | Click the Change View button on the toolbar.
2. | Each time you click, the selection changes by moving one step down a hidden drop-down list.

An alternative way to select is to click the downward pointing arrow to the right of the Change View button. A drop-down list appears with the six options listed above. You can directly select display option in the list.

Yet another way to select is provided by the View menu, where the six display options are listed.

Note: If the Graphical option has been selected, the as Web page option is not available for selection.

Shortcuts
Toolbar: |
Keys: | Alt+V,V takes you to the place in the menu where you can select your view option.
Related Topics:

as Web Page | Large Icons
Small Icons | List
Details | Graphical